Bug 16068 - Installer won't finish installing in either text or graphical
Summary: Installer won't finish installing in either text or graphical
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-12 16:15 UTC by Louis Kowolowski
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-22 16:04:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Louis Kowolowski 2000-08-12 16:15:52 UTC
dump at follows:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 504, in
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1609, in
doInstall
    self.writeConfiguration ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1338, in
writeConfiguration
    self.setupAuthentication ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 698, in
setupAuthentication
    root = self.instPath)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/iutil.py", line 40, in
execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/sbin/authconfig can not be run

Local variables in innermost frame:
argv: ['/usr/sbin/authconfig', '--kickstart', '--nostart',
'--enableshadow', '--enablemd5']
root: /mnt/sysimage
stdin: 0
newPgrp: 0
stdout: 17
stderr: 17
command: /usr/sbin/authconfig
searchPath: 1
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

Comment 1 Michael Fulbright 2000-08-14 17:03:45 UTC
Did you explicitely tell the installer to not install authconfig?

It seems for some reason authconfig is not being installed, which is required
for the post-install to occur.

Comment 2 Michael Fulbright 2000-08-17 15:26:38 UTC
I think this means we need to make sure authconfig is installed and can't be
unselected.



Comment 3 Matt Wilson 2000-08-22 16:04:14 UTC
The installer will no longer fall over in this location, we're not getting any
user feedback on why authconfig isn't installed -- it should be on by default.



Note You need to log in before you can comment on or make changes to this bug.